{"command":{"effect":"read","timeoutSeconds":30,"inputSchema":{"type":"object","description":"This endpoint returns a JSON object . It can be used to programmatically\nconstruct Kubernetes clients which cannot parse kubeconfig files.\n\nThe resulting JSON object contains token-based authentication for clusters\nsupporting it, and certificate-based authentication otherwise. For a list of\nsupported versions and more information, see \"[How to Connect to a DigitalOcean\nKubernetes Cluster](https://docs.digitalocean.com/products/kubernetes/how-to/connect-to-cluster/)\".\n\nTo retrieve credentials for accessing a Kubernetes cluster, send a GET\nrequest to `/v2/kubernetes/clusters/$K8S_CLUSTER_ID/credentials`.\n\nClusters supporting token-based authentication may define an expiration by\npassing a duration in seconds as a query parameter to\n`/v2/kubernetes/clusters/$K8S_CLUSTER_ID/credentials?expiry_seconds=$DURATION_IN_SECONDS`.\nIf not set or 0, then the token will have a 7 day expiry. The query parameter\nhas no impact in certificate-based authentication.\n","properties":{"path":{"type":"object","properties":{"cluster_id":{"type":"string","format":"uuid","minimum":1,"examples":["bd5f5959-5e1e-4205-a714-a914373942af"],"description":"A unique ID that can be used to reference a Kubernetes cluster."}},"required":["cluster_id"],"additionalProperties":false},"query":{"type":"object","properties":{"expiry_seconds":{"type":"integer","minimum":0,"default":0,"examples":[300],"description":"The duration in seconds that the returned Kubernetes credentials will be valid. If not set or 0, the credentials will have a 7 day expiry."}},"required":[],"additionalProperties":false}},"required":["path"],"additionalProperties":false},"name":"Retrieve Credentials for a Kubernetes Cluster","id":"digitalocean.kubernetes_get_credentials","example":{"path":{"cluster_id":"bd5f5959-5e1e-4205-a714-a914373942af"}},"maxRequests":1,"summary":false}}